Loading...
Searching...
No Matches
_PolicyInfo Struct Reference

## Data Fields

char * | path
PolicyDomain | domain
PolicyRights | rights
char * | name
char * | pattern
char * | value
MagickBooleanType | exempt
MagickBooleanType | stealth
MagickBooleanType | debug
SemaphoreInfo * | semaphore
size_t | signature

## Detailed Description

Definition at line 81 of file policy.c.

## Field Documentation

## debug

MagickBooleanType _PolicyInfo::debug

Definition at line 100 of file policy.c.

## domain

PolicyDomain _PolicyInfo::domain

Definition at line 87 of file policy.c.

## exempt

MagickBooleanType _PolicyInfo::exempt

Definition at line 98 of file policy.c.

## name

char* _PolicyInfo::name

Definition at line 93 of file policy.c.

## path

char* _PolicyInfo::path

Definition at line 84 of file policy.c.

## pattern

char * _PolicyInfo::pattern

Definition at line 94 of file policy.c.

## rights

PolicyRights _PolicyInfo::rights

Definition at line 90 of file policy.c.

## semaphore

SemaphoreInfo* _PolicyInfo::semaphore

Definition at line 103 of file policy.c.

## signature

size_t _PolicyInfo::signature

Definition at line 106 of file policy.c.

## stealth

MagickBooleanType _PolicyInfo::stealth

Definition at line 99 of file policy.c.

## value

char * _PolicyInfo::value

Definition at line 95 of file policy.c.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/policy.c